package cz.jzitnik.game.entities.items.registry.blocks.grassy.flowers;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.annotations.BreakableByWater;
import cz.jzitnik.game.annotations.BreaksFalling;
import cz.jzitnik.game.annotations.PlaceOnSolid;
import cz.jzitnik.game.annotations.TwoblockBlock;
import cz.jzitnik.game.entities.Block;

@PlaceOnSolid
@BreakableByWater
@BreaksFalling
@TwoblockBlock
@BlockRegistry(value = "peony")
public class PeonyBlock extends Block {
    public PeonyBlock() {
        super("peony", SpriteLoader.SPRITES.PEONY, 0);
        setGhost(true);
    }
}
