package cz.jzitnik.game.ui;

import org.jline.terminal.Terminal;

import cz.jzitnik.game.Game;
import cz.jzitnik.game.sprites.ui.Font.*;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class Escape {
    public void render(StringBuilder buffer, Terminal terminal, Game game) {
        var font = game.getGameStates().dependencies.font;
        var width = terminal.getWidth();
        var height = terminal.getHeight();

        log.debug("Terminal width: {}", width);
        log.debug("Terminal height: {}", height);

        var twodcraft = font.line(terminal, "2DCraft", Size.LARGE, Align.LEFT);
        buffer.append(twodcraft.getData());
    }
}
